package com.example.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import com.example.controller.OSSConfigConstant;

import lombok.Data;

//@Configuration 标识这是一个配置类
@Component("configData") // 添加到bean容器时指定其名为 configData
@ConfigurationProperties(prefix = "projectMap")  // 读取前缀为 data 的内容
//@ConfigurationProperties(prefix = "projectMap.jufeng")
@Data
public class DataConfig{

     
    private List<OSSConfigConstant> ueditor = new ArrayList<OSSConfigConstant>();

	
    public enum UriEnum {
        mofang, dongq, panda,woyou,jufeng,youxing
    }
    
 
}